Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Notification Service
    • Overview
    • Getting started with mobile push notifications
    • Getting started with in-browser push notifications
    • Getting started with SMS
    • Getting started with topics
    • Overview
    • Mobile push notifications
    • In-browser push notifications
    • SMS
    • Topics
    • Quotas and limits
    • All tools
    • AWS CLI
    • AWS SDK for C++
    • AWS SDK for Go
    • AWS SDK for Java
    • AWS SDK for JavaScript
    • AWS SDK for Kotlin
    • AWS SDK for .NET
    • AWS SDK for PHP
    • AWS SDK for Python (boto3)
  • Pricing policy
  • Access management
    • Overview
    • Sending a request
    • Errors
      • Create
      • GetAttributes
      • GetSmsAttributes
      • SetAttributes
      • List
      • Delete
    • Publish
  • Audit Trails events
  • Metrics Monitoring
  • Logs Cloud Logging
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Response
  • Successful response
  • Error response
  1. API reference
  2. SMS
  3. GetSmsAttributes

GetSMSAttributes

Written by
Yandex Cloud
Updated at July 20, 2026
View in Markdown
  • HTTP request
    • Query parameters
  • Response
    • Successful response
    • Error response

Gets parameters for sending SMS messages in the cloud.

HTTP requestHTTP request

POST https://notifications.yandexcloud.net/

Query parametersQuery parameters

Parameter Description
Action string
Required field.
Operation type parameter.
Value: GetSMSAttributes.
Attributes.member.N string
Name of the attribute whose value you want to retrieve.
Possible values:
  • MonthlySMSCountQuota: Cloud limit on the number of SMS messages sent per month.
  • DefaultSenderID: Default sender ID.
  • DefaultSMSType: Default SMS type, Promotional or Transactional.

If no attributes are provided, the response will return all supported attributes.
Example: Attributes.member.1=MonthlySMSCountQuota.
Account string
Cloud ID. Only used to send SMS messages. This parameter is required for authentication with an IAM token.
ResponseFormat string
Response format.
The possible values are:
  • XML (default)
  • JSON.

ResponseResponse

Successful responseSuccessful response

If there are no errors, Cloud Notification Service returns the 200 HTTP code.

A successful response contains additional data in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<GetSMSAttributesResponseXML>
	<ResponseMetadata>
		<RequestId>string</RequestId>
	</ResponseMetadata>
	<GetSMSChannelAttributesResult>
    	<Attributes>
  	  	<entry>
  		  	<key>string</key>
  	  		<value>string</value>
    		</entry>
		</Attributes>
	</GetSMSChannelAttributesResult>
</GetSMSAttributesResponseXML>
{
  "ResponseMetadata": {
    "RequestId": "string"
  },
  "GetSMSAttributesResult": {
    "Attributes": {
      "Attribute": "string"
    }
  }
}

Where:

  • RequestId: Request ID.
  • Attributes: Parameters for sending SMS messages in the cloud.

Error responseError response

In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code and its additional description in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<ErrorResponseXML>
    <RequestId>string</RequestId>
    <Error>
  	  <Code>string</Code>
  	  <Message>string</Message>
    </Error>
</ErrorResponseXML>
{
  "ErrorResponse": {
    "RequestId": "string",
    "Error": {
      "Code": "string",
      "SubCode": "string",
      "Message": "string"
    }
  }
}

Where:

  • RequestId: Request ID.
  • Code: Error code.
  • Message: Error description.

For a list of common error codes for all actions, see Errors.

Useful linksUseful links

  • Yandex Cloud Notification Service HTTP API overview
  • Sending an HTTP API request to Yandex Cloud Notification Service
  • GetSMSAttributes API action in the AWS documentation.

Was the article helpful?

Previous
GetAttributes
Next
SetAttributes
© 2026 Direct Cursus Technology L.L.C.